Package org.eclipse.m2m.atl.engine.emfvm

## Class ASMXMLReader

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.eclipse.m2m.atl.engine.emfvm.ASMXMLReader

All Implemented Interfaces:
  `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.EntityResolver`, `org.xml.sax.ErrorHandler`

    public class ASMXMLReader
    extends org.xml.sax.helpers.DefaultHandler

The asm xml files reader.

### Constructor Summary

Constructors
`ASMXMLReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` `error​(org.xml.sax.SAXParseException e)`
`void` `fatalError​(org.xml.sax.SAXParseException e)`
`ASM` `read​(java.io.InputStream in)` Reads an ASM.
`void` `startElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMXMLReader

    public ASMXMLReader()

### Method Detail

#### read

    public ASM read​(java.io.InputStream in)

Reads an ASM.

Parameters:
  `in` - the stream to read
Returns:
  the asm

#### startElement

    public void startElement​(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`
See Also:
  `DefaultHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

#### endElement

    public void endElement​(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`
See Also:
  `DefaultHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

#### error

    public void error​(org.xml.sax.SAXParseException e)

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `error` in class `org.xml.sax.helpers.DefaultHandler`
See Also:
  `DefaultHandler.error(org.xml.sax.SAXParseException)`

#### fatalError

    public void fatalError​(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXParseException

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXParseException`
See Also:
  `DefaultHandler.fatalError(org.xml.sax.SAXParseException)`